Package twisted :: Package internet :: Module stdio :: Class StandardIOWriter

[frames | no frames]

## Class StandardIOWriter

     Ephemeral --+
                 |
        Logger --+
                 |
    FileDescriptor --+
                     |
                    StandardIOWriter

Method Summary
| `__init__(self)`
| ``connectionLost`(self, reason)` The connection was lost.
| ``writeSomeData`(self, data)` Write as much as possible of the given data, immediately.
Inherited from FileDescriptor
| ``_postLoseConnection`(self)` Called after a loseConnection(), when all data has been written.
| ``doWrite`(self)` Called when data is available for writing.
| ``fileno`(self)` File Descriptor number for select().
| ``loseConnection`(self)` Close the connection at the next available opportunity.
| ``pauseProducing`(self)`
| ``registerProducer`(self, producer, streaming)` Register to receive data from a producer.
| ``resumeProducing`(self)`
| ``startReading`(self)` Start waiting for read availability.
| ``startWriting`(self)` Start waiting for write availability.
| ``stopConsuming`(self)` Stop consuming data.
| ``stopProducing`(self)`
| ``stopReading`(self)` Stop waiting for read availability.
| ``stopWriting`(self)` Stop waiting for write availability.
| ``unregisterProducer`(self)` Stop consuming data from a producer, without disconnecting.
| ``write`(self, data)` Reliably write some data.
| ``writeSequence`(self, iovec)`
Inherited from Logger
| ``logPrefix`(self)` Override this method to insert custom logging behavior.
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
`int` | `connected` = 1
`int` | `ic` = 0
Inherited from FileDescriptor
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`int` | `bufferSize` = 65536
`str` | `dataBuffer` = `''`
`int` | `disconnected` = 0
`int` | `disconnecting` = 0
`int` | `offset` = 0
`NoneType` | `producer` = None
`int` | `producerPaused` = 0
`int` | `streamingProducer` = 0

Method Details

### connectionLost(self, reason)

The connection was lost.

This is called when the connection on a selectable object has been lost. It will be called whether the connection was closed explicitly, an exception occurred in an event handler, or the other end of the connection closed it first.

Clean up state here, but make sure to call back up to FileDescriptor.

  Overrides:
    `twisted.internet.abstract.FileDescriptor.connectionLost` (inherited documentation)

### writeSomeData(self, data)

Write as much as possible of the given data, immediately.

This is called to invoke the lower-level writing functionality, such as a socket's send() method, or a file's write(); this method returns an integer. If positive, it is the number of bytes written; if negative, it indicates the connection was lost.

  Overrides:
    `twisted.internet.abstract.FileDescriptor.writeSomeData` (inherited documentation)

Class Variable Details

### connected

  Type:
    `int`
  Value:

        1

### ic

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Sat May 15 20:08:52 2004 | http://epydoc.sf.net